Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.utils
Class ImplementationMessages

    java.lang.Object
      |
      +--weblogic.apache.xerces.utils.ImplementationMessages

public class ImplementationMessages
extends java.lang.Object
implements XMLMessageProvider

ImplementationMessages provides messages internal to the parser implementation

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `BAD_MAJORCODE`
`static int` | `ENC4`
`static int` | `ENC5`
`static int` | `ENC6`
`static int` | `ENC7`
`static int` | `FATAL_ERROR`
`static int` | `FORMAT_FAILED`
`static int` | `INT_DCN`
`static int` | `INT_PCN`
`static int` | `IO0`
`static int` | `VAL_BST`
`static int` | `VAL_CMSI`
`static int` | `VAL_CST`
`static int` | `VAL_LST`
`static int` | `VAL_NIICM`
`static int` | `VAL_NPCD`
`static int` | `VAL_UST`
`static int` | `VAL_WCGHI`
`static java.lang.String` | `XERCES_IMPLEMENTATION_DOMAIN` The domain of messages concerning the Xerces implementation.

Constructor Summary
`ImplementationMessages()`

Method Summary
`java.lang.String` | `createMessage(java.util.Locale locale, int majorCode, int minorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` | `getLocale()`
`void` | `setLocale(java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XERCES_IMPLEMENTATION_DOMAIN

    public static final java.lang.String XERCES_IMPLEMENTATION_DOMAIN

  The domain of messages concerning the Xerces implementation.

### BAD_MAJORCODE

    public static final int BAD_MAJORCODE

### ENC4

    public static final int ENC4

### ENC5

    public static final int ENC5

### ENC6

    public static final int ENC6

### ENC7

    public static final int ENC7

### IO0

    public static final int IO0

### VAL_BST

    public static final int VAL_BST

### VAL_CMSI

    public static final int VAL_CMSI

### VAL_CST

    public static final int VAL_CST

### VAL_LST

    public static final int VAL_LST

### VAL_NIICM

    public static final int VAL_NIICM

### VAL_NPCD

    public static final int VAL_NPCD

### VAL_UST

    public static final int VAL_UST

### VAL_WCGHI

    public static final int VAL_WCGHI

### INT_DCN

    public static final int INT_DCN

### INT_PCN

    public static final int INT_PCN

### FATAL_ERROR

    public static final int FATAL_ERROR

### FORMAT_FAILED

    public static final int FORMAT_FAILED

Constructor Detail

### ImplementationMessages

    public ImplementationMessages()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    setLocale in interface XMLMessageProvider

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    getLocale in interface XMLMessageProvider

### createMessage

    public java.lang.String createMessage(java.util.Locale locale,
                                          int majorCode,
                                          int minorCode,
                                          java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Specified by:
    createMessage in interface XMLMessageProvider

  Parameters:
    `locale` - The requested locale of the message to be created.
    `key` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD